Searched refs:ip (Results 176 - 200 of 1998) sorted by relevance

1234567891011>>

/linux-master/arch/x86/kernel/kprobes/
H A Dftrace.c16 void kprobe_ftrace_handler(unsigned long ip, unsigned long parent_ip, argument
24 bit = ftrace_test_recursion_trylock(ip, parent_ip);
28 p = get_kprobe((kprobe_opcode_t *)ip);
36 unsigned long orig_ip = regs->ip;
37 /* Kprobe handler expects regs->ip = ip + 1 as breakpoint hit */
38 regs->ip = ip + sizeof(kprobe_opcode_t);
44 * Emulate singlestep (and also recover regs->ip)
47 regs->ip
[all...]
/linux-master/fs/xfs/
H A Dxfs_iunlink_item.h16 struct xfs_inode *ip; member in struct:xfs_iunlink_item
24 int xfs_iunlink_log_inode(struct xfs_trans *tp, struct xfs_inode *ip,
H A Dxfs_symlink.h13 int xfs_readlink(struct xfs_inode *ip, char *link);
14 int xfs_inactive_symlink(struct xfs_inode *ip);
H A Dxfs_iunlink_item.c43 return IUL_ITEM(lip)->ip->i_ino;
56 struct xfs_inode *ip = iup->ip; local
62 error = xfs_imap_to_bp(mp, tp, &ip->i_imap, &ibp);
73 dip = xfs_buf_offset(ibp, ip->i_imap.im_boffset);
77 xfs_inode_verifier_error(ip, -EFSCORRUPTED, __func__, dip,
84 XFS_INO_TO_AGINO(mp, ip->i_ino),
88 offset = ip->i_imap.im_boffset +
143 struct xfs_inode *ip,
151 ASSERT(xfs_verify_agino_or_null(pag, ip
141 xfs_iunlink_log_inode( struct xfs_trans *tp, struct xfs_inode *ip, struct xfs_perag *pag, xfs_agino_t next_agino) argument
[all...]
/linux-master/tools/testing/selftests/bpf/
H A Dxsk_prereqs.sh27 if [ $(ip link add $1 type veth 2>/dev/null; echo $?;) != 0 ]; then
31 ip link del $1
58 ip link set $1 mtu $2
59 ip link set $1 xdp off
60 ip link set $1 xdpgeneric off
65 [ $(ip link show $1 &>/dev/null; echo $?;) == 0 ] &&
66 { ip link del $1; }
76 [ ! $(type -P ip) ] && { echo "'ip' not found. Skipping tests."; test_exit $ksft_skip; }
/linux-master/tools/testing/selftests/net/
H A Dstress_reuseport_listen.sh11 ip netns exec $NS sysctl -q -w net.ipv6.ip_nonlocal_bind=1
25 ip netns exec $NS ./stress_reuseport_listen 300 80
H A Darp_ndisc_evict_nocarrier.sh35 IP="ip -netns ${me}"
41 ip -netns ${peer} -6 addr add $V6_ADDR1/64 dev veth2 nodad
43 ip netns exec ${me} sysctl -w $1 >/dev/null 2>&1
46 ip netns exec ${me} ping -6 -c1 -Iveth1 $V6_ADDR1 >/dev/null 2>&1
48 ip netns exec ${me} ip -6 neigh get $V6_ADDR1 dev veth1 >/dev/null 2>&1
56 ip netns exec ${peer} ip link set veth2 down
61 ip link add name veth0 type veth peer name veth1
62 ip lin
[all...]
H A Dudpgro_bench.sh14 local -r ns="$(ip netns list|grep $PEER_NS)"
17 [ -n "$ns" ] && ip netns del $ns 2>/dev/null
29 ip netns add "${PEER_NS}"
30 ip -netns "${PEER_NS}" link set lo up
31 ip link add type veth
32 ip link set dev veth0 up
33 ip addr add dev veth0 192.168.1.2/24
34 ip addr add dev veth0 2001:db8::2/64 nodad
36 ip link set dev veth1 netns "${PEER_NS}"
37 ip
[all...]
/linux-master/fs/xfs/scrub/
H A Dsymlink.c40 struct xfs_inode *ip = sc->ip; local
45 if (!S_ISLNK(VFS_I(ip)->i_mode))
53 ifp = xfs_ifork_ptr(ip, XFS_DATA_FORK);
54 len = ip->i_disk_size;
64 if (len > xfs_inode_data_fork_size(ip) ||
65 len > strnlen(ifp->if_data, xfs_inode_data_fork_size(ip)))
71 error = xfs_symlink_remote_read(sc->ip, sc->buf);
/linux-master/tools/perf/util/
H A Dcall-path.c15 struct symbol *sym, u64 ip, bool in_kernel)
19 cp->ip = sym ? 0 : ip;
51 struct symbol *sym, u64 ip,
72 call_path__init(cp, parent, sym, ip, in_kernel);
79 struct symbol *sym, u64 ip, u64 ks)
84 bool in_kernel = ip >= ks;
87 ip = 0;
90 return call_path__new(cpr, parent, sym, ip, in_kernel);
97 if (cp->sym == sym && cp->ip
14 call_path__init(struct call_path *cp, struct call_path *parent, struct symbol *sym, u64 ip, bool in_kernel) argument
49 call_path__new(struct call_path_root *cpr, struct call_path *parent, struct symbol *sym, u64 ip, bool in_kernel) argument
77 call_path__findnew(struct call_path_root *cpr, struct call_path *parent, struct symbol *sym, u64 ip, u64 ks) argument
[all...]
/linux-master/arch/mips/rb532/
H A Dirq.c91 static inline void enable_local_irq(unsigned int ip) argument
93 int ipnum = 0x100 << ip;
98 static inline void disable_local_irq(unsigned int ip) argument
100 int ipnum = 0x100 << ip;
105 static inline void ack_local_irq(unsigned int ip) argument
107 int ipnum = 0x100 << ip;
115 int ip = irq_nr - GROUP0_IRQ_BASE; local
118 if (ip < 0)
121 group = ip >> 5;
123 ip
136 int ip = irq_nr - GROUP0_IRQ_BASE; local
215 unsigned int ip, pend, group; local
[all...]
/linux-master/tools/testing/selftests/drivers/net/mlxsw/
H A Dblackhole_routes.sh56 ip -4 route add default vrf v$h1 nexthop via 192.0.2.2
57 ip -6 route add default vrf v$h1 nexthop via 2001:db8:1::2
62 ip -6 route del default vrf v$h1 nexthop via 2001:db8:1::2
63 ip -4 route del default vrf v$h1 nexthop via 192.0.2.2
72 ip -4 route add default vrf v$h2 nexthop via 198.51.100.2
73 ip -6 route add default vrf v$h2 nexthop via 2001:db8:2::2
78 ip -6 route del default vrf v$h2 nexthop via 2001:db8:2::2
79 ip -4 route del default vrf v$h2 nexthop via 198.51.100.2
86 ip link set dev $rp1 up
87 ip lin
[all...]
H A Ddevlink_trap.sh40 ip link add dev br0 type bridge vlan_filtering 1 mcast_snooping 0
42 ip link set dev $swp1 master br0
43 ip link set dev $swp2 master br0
45 ip link set dev br0 up
46 ip link set dev $swp1 up
47 ip link set dev $swp2 up
52 ip link set dev $swp2 down
53 ip link set dev $swp1 down
55 ip link del dev br0
94 $MZ $h1 -c 0 -p 100 -a $smac -b bcast -t ip
[all...]
/linux-master/include/linux/
H A Dprofile.h47 void profile_hits(int type, void *ip, unsigned int nr_hits);
52 static inline void profile_hit(int type, void *ip) argument
58 profile_hits(type, ip, 1);
78 static inline void profile_hits(int type, void *ip, unsigned int nr_hits) argument
83 static inline void profile_hit(int type, void *ip) argument
/linux-master/samples/bpf/
H A Dtracex4.bpf.c14 u64 ip; member in struct:pair
40 long ip = 0; local
42 /* get ip address of kmem_cache_alloc_node() caller */
43 BPF_KRETPROBE_READ_RET_IP(ip, ctx);
47 .ip = ip,
/linux-master/tools/testing/selftests/netfilter/
H A Dconntrack_tcp_unreplied.sh22 ip -Version > /dev/null 2>&1
24 echo "SKIP: Could not run test without ip tool"
29 ip netns pids $ns1 | xargs kill 2>/dev/null
30 ip netns pids $ns2 | xargs kill 2>/dev/null
32 ip netns del $ns1
33 ip netns del $ns2
47 cnt=$(ip netns exec $ns2 nft list counter inet filter "$name" | grep -q "$expect")
50 ip netns exec $ns2 nft list counter inet filter "$name" 1>&2
58 ip netns add $ns1 || exit 1
62 ip netn
[all...]
H A Dconntrack_icmp_related.sh27 ip -Version > /dev/null 2>&1
29 echo "SKIP: Could not run test without ip tool"
34 for i in 1 2;do ip netns del nsclient$i;done
35 for i in 1 2;do ip netns del nsrouter$i;done
55 cnt=$(ip netns exec $ns nft list counter inet filter "$name" | grep -q "$expect")
58 ip netns exec $ns nft list counter inet filter "$name" 1>&2
79 ip netns add $n
80 ip -net $n link set lo up
84 ip link add $DEV netns nsclient1 type veth peer name eth1 netns nsrouter1
86 ip lin
[all...]
/linux-master/drivers/media/platform/renesas/rzg2l-cru/
H A Drzg2l-ip.c42 state = v4l2_subdev_lock_and_get_active_state(&cru->ip.subdev);
58 ret = v4l2_subdev_call(cru->ip.remote, video, s_stream, enable);
62 ret = v4l2_subdev_call(cru->ip.remote, video, post_streamoff);
69 ret = v4l2_subdev_call(cru->ip.remote, video, pre_streamon, 0);
79 v4l2_subdev_call(cru->ip.remote, video, post_streamoff);
83 ret = v4l2_subdev_call(cru->ip.remote, video, s_stream, enable);
89 v4l2_subdev_call(cru->ip.remote, video, post_streamoff);
206 struct rzg2l_cru_ip *ip = &cru->ip; local
209 ip
246 struct rzg2l_cru_ip *ip = &cru->ip; local
[all...]
/linux-master/arch/powerpc/kernel/trace/
H A Dftrace.c46 static ppc_inst_t ftrace_create_branch_inst(unsigned long ip, unsigned long addr, int link) argument
50 WARN_ON(!is_offset_in_branch_range(addr - ip));
51 create_branch(&op, (u32 *)ip, addr, link ? BRANCH_SET_LINK : 0);
56 static inline int ftrace_read_inst(unsigned long ip, ppc_inst_t *op) argument
58 if (copy_inst_from_kernel_nofault(op, (void *)ip)) {
59 pr_err("0x%lx: fetching instruction failed\n", ip);
66 static inline int ftrace_validate_inst(unsigned long ip, ppc_inst_t inst) argument
71 ret = ftrace_read_inst(ip, &op);
74 ip, ppc_inst_as_ulong(inst), ppc_inst_as_ulong(op));
81 static inline int ftrace_modify_code(unsigned long ip, ppc_inst_ argument
96 find_ftrace_tramp(unsigned long ip) argument
111 unsigned long ip = rec->ip; local
178 unsigned long ip, new_addr, addr; local
230 unsigned long addr, ip = rec->ip; local
301 unsigned long ip = (unsigned long)(&ftrace_call); local
421 ftrace_graph_func(unsigned long ip, unsigned long parent_ip, struct ftrace_ops *op, struct ftrace_regs *fregs) argument
[all...]
/linux-master/lib/lz4/
H A Dlz4hc_compress.c73 /* Update chains up to ip (excluded) */
75 const BYTE *ip)
80 U32 const target = (U32)(ip - base);
101 const BYTE *ip,
111 const U32 lowLimit = (hc4->lowLimit + 64 * KB > (U32)(ip - base))
113 : (U32)(ip - base) - (64 * KB - 1);
119 LZ4HC_Insert(hc4, ip);
120 matchIndex = HashTable[LZ4HC_hashPtr(ip)];
128 if (*(match + ml) == *(ip + ml)
129 && (LZ4_read32(match) == LZ4_read32(ip))) {
74 LZ4HC_Insert(LZ4HC_CCtx_internal *hc4, const BYTE *ip) argument
99 LZ4HC_InsertAndFindBestMatch( LZ4HC_CCtx_internal *hc4, const BYTE *ip, const BYTE * const iLimit, const BYTE **matchpos, const int maxNbAttempts) argument
168 LZ4HC_InsertAndGetWiderMatch( LZ4HC_CCtx_internal *hc4, const BYTE * const ip, const BYTE * const iLowLimit, const BYTE * const iHighLimit, int longest, const BYTE **matchpos, const BYTE **startpos, const int maxNbAttempts) argument
262 LZ4HC_encodeSequence( const BYTE **ip, BYTE **op, const BYTE **anchor, int matchLength, const BYTE * const match, limitedOutput_directive limitedOutputBuffer, BYTE *oend) argument
348 const BYTE *ip = (const BYTE *) source; local
[all...]
/linux-master/tools/testing/selftests/net/forwarding/
H A Dmirror_gre_neigh.sh37 ip address add dev $swp3 192.0.2.129/28
38 ip address add dev $h3 192.0.2.130/28
40 ip address add dev $swp3 2001:db8:2::1/64
41 ip address add dev $h3 2001:db8:2::2/64
48 ip address del dev $h3 2001:db8:2::2/64
49 ip address del dev $swp3 2001:db8:2::1/64
51 ip address del dev $h3 192.0.2.130/28
52 ip address del dev $swp3 192.0.2.129/28
67 ip neigh replace dev $swp3 $addr lladdr 00:11:22:33:44:55
70 ip neig
[all...]
H A Dmirror_gre_bridge_1d_vlan.sh38 ip link add name br2 address $(mac_get $swp3) \
40 ip link set dev br2 up
44 ip link set dev $swp3.555 master br2
45 ip route add 192.0.2.130/32 dev br2
46 ip -6 route add 2001:db8:2::2/128 dev br2
48 ip address add dev br2 192.0.2.129/32
49 ip address add dev br2 2001:db8:2::1/128
59 ip link del dev br2
78 test_vlan_match gt4 'skip_hw vlan_id 555 vlan_ethtype ip' \
95 ip neig
[all...]
H A Dmirror_gre_bridge_1q.sh65 ip link set dev br1 down
67 ip link set dev $swp3 master br1
69 ip link set dev br1 up
70 ip address add dev br1 192.0.2.129/28
71 ip address add dev br1 2001:db8:2::1/64
73 ip -4 route add 192.0.2.130/32 dev br1
74 ip -6 route add 2001:db8:2::2/128 dev br1
84 ip link set dev $swp3 nomaster
93 ip neigh replace 192.0.2.130 lladdr $(mac_get $h3) \
101 ip neig
[all...]
H A Dvxlan_symmetric.sh122 ip link set dev $if_name master $vrf_name
123 ip link set dev $vrf_name up
124 ip link set dev $if_name up
126 ip address add $ip_addr/24 dev $if_name
127 ip neigh replace $gw_ip lladdr 00:00:5e:00:01:01 nud permanent \
129 ip route add default vrf $vrf_name nexthop via $gw_ip
140 ip route del default vrf $vrf_name nexthop via $gw_ip
141 ip neigh del $gw_ip dev $if_name
142 ip address del $ip_addr/24 dev $if_name
144 ip lin
[all...]
/linux-master/tools/testing/selftests/net/openvswitch/
H A Dopenvswitch.sh106 ip netns exec $netns $* >> $ovs_dir/stdout 2>> $ovs_dir/stderr &
113 ovs_sbx "$1" ip netns add "$3" || return 1
114 on_exit "ovs_sbx $1 ip netns del $3"
115 ovs_sbx "$1" ip link add "$4" type veth peer name "$5" || return 1
116 on_exit "ovs_sbx $1 ip link del $4 >/dev/null 2>&1"
117 ovs_sbx "$1" ip link set "$4" up || return 1
118 ovs_sbx "$1" ip link set "$5" netns "$3" || return 1
119 ovs_sbx "$1" ip netns exec "$3" ip link set "$5" up || return 1
122 ovs_sbx "$1" ip netn
[all...]

Completed in 195 milliseconds

1234567891011>>